Anonymous Login
2018-12-15 13:54 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001627OpenClonkEnginepublic2017-12-29 08:56
ReporterJack Rost 
Assigned ToZapper 
PrioritylowSeverityminorReproducibilityunable to reproduce
StatusresolvedResolutionfixed 
PlatformOSWindowsOS Version7
Product Version 
Target Version8.0Fixed in Version8.0 
Summary0001627: Infinite knockdown that may kill you
DescriptionThat was very strange death. I choped palm tree then I move and drop it down with grab. It's stuck. I tried to move it but something interrupt me. I start bounce again and again. A coconaut was just below me but it don't move. My clonk just bounce on the same spot again and again. I couldn't control my clonk so I'm stuck until I die like this.
Steps To ReproduceDon't know how to do this trick again
TagsNo tags attached.
Attached Files

-Relationships
related to 0001600new High speed object stuck against material 
+Relationships

-Notes

~0004800

Maikel (developer)

Was there no rockfall at that time? Just to exclude some possibilities.

~0004937

Jack Rost (reporter)

Last edited: 2016-02-06 10:42

View 3 revisions

No. After some play time I realize that sometimes coconauts may stuck in the air and it can hurt you and even bounce you on the same place and kill you. It's happening again on the "Deep sea Mining" mission where you can see so much palm tree with coconauts.

~0005989

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/9214257424aaa8921f0d7a30f87b0499cc3a31ad

Changeset 9214257 by David Dormagen <czapper@gmx.de>
fixed non-moving, high-velocity coconuts (0001627)

Coconuts were C4D_Object AND C4D_StaticBack. That meant that they would save speed (e.g. by explosions?) and could hit Clonks that passed by them.

~0005990

Zapper (developer)

Funny, coconuts could have speed while not moving and then kill Clonks :)

Maybe when the coconut was hit by an explosion before.

Fixed for the next release!
+Notes

-Issue History
Date Modified Username Field Change
2016-01-17 14:47 Jack Rost New Issue
2016-01-17 14:47 Jack Rost File Added: Screenshot_19.png
2016-01-17 15:43 ala Relationship added related to 0001600
2016-01-17 15:55 Maikel Note Added: 0004800
2016-02-06 10:12 Jack Rost Note Added: 0004937
2016-02-06 10:14 Jack Rost Note Edited: 0004937 View Revisions
2016-02-06 10:42 Jack Rost Note Edited: 0004937 View Revisions
2017-08-05 13:58 Maikel Target Version => 8.0
2017-12-29 08:55 occ Note Added: 0005989
2017-12-29 08:56 Zapper Assigned To => Zapper
2017-12-29 08:56 Zapper Status new => resolved
2017-12-29 08:56 Zapper Resolution open => fixed
2017-12-29 08:56 Zapper Fixed in Version => 8.0
2017-12-29 08:56 Zapper Note Added: 0005990
+Issue History